[ 
https://issues.apache.org/jira/browse/JCLOUDS-1408?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16440493#comment-16440493
 ] 

Ignasi Barrera commented on JCLOUDS-1408:
-----------------------------------------

LGTM

> Consider relying on jaxb-api
> ----------------------------
>
>                 Key: JCLOUDS-1408
>                 URL: https://issues.apache.org/jira/browse/JCLOUDS-1408
>             Project: jclouds
>          Issue Type: Improvement
>          Components: jclouds-core
>    Affects Versions: 2.1.0
>            Reporter: Andrew Gaul
>            Priority: Major
>
> Java 9 removes many EE features which breaks jclouds and we recommend that 
> users add {{--add-modules java.xml.bind}} to their flags.  However, we can 
> eliminate these flags via an explicit dependency:
> {code:xml}
> <dependency>
>     <groupId>javax.xml.bind</groupId>
>     <artifactId>jaxb-api</artifactId>
>     <version>2.3.0</version>
> </dependency>
> {code}
> Ideally we would add this to 2.1.1, ignoring our policy of no new 
> dependencies in minor releases, since this is not really a new dependency.  
> Comments?



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to